Skip to main content
GET
/
v1
/
prompt_versions
/
{prompt_version_id}
Get prompt version by ID
curl --request GET \
  --url https://api.example.com/v1/prompt_versions/{prompt_version_id}
import requests

url = "https://api.example.com/v1/prompt_versions/{prompt_version_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/prompt_versions/{prompt_version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "model_name": "<string>",
    "template": {
      "type": "<string>",
      "messages": [
        {
          "content": "<string>"
        }
      ]
    },
    "invocation_parameters": {
      "type": "<string>",
      "openai": {
        "temperature": 123,
        "max_tokens": 123,
        "max_completion_tokens": 123,
        "frequency_penalty": 123,
        "presence_penalty": 123,
        "top_p": 123,
        "seed": 123,
        "stop": [
          "<string>"
        ],
        "extra_body": {}
      }
    },
    "id": "<string>",
    "description": "<string>",
    "tools": {
      "type": "<string>",
      "tools": [
        {
          "type": "<string>",
          "function": {
            "name": "<string>",
            "description": "<string>",
            "parameters": {},
            "strict": true
          }
        }
      ],
      "tool_choice": {
        "type": "<string>"
      },
      "disable_parallel_tool_calls": true
    },
    "response_format": {
      "type": "<string>",
      "json_schema": {
        "name": "<string>",
        "description": "<string>",
        "schema": {},
        "strict": true
      }
    }
  }
}
"<string>"
"<string>"
"<string>"

Path Parameters

prompt_version_id
string
required

The ID of the prompt version.

Response

The requested prompt version

data
PromptVersion · object
required